Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Interface CommandSerializationUtil.Accessor

Enclosing class:
  CommandSerializationUtil

    public static interface CommandSerializationUtil.Accessor

Defines methods for getting and setting fields.

Method Summary
`boolean` | `canMakeValueCommand()`
`boolean` | `canSet(java.lang.Class<?> clazz)` Indicates if set can be called with a value of the given type.
`java.lang.Object` | `get(java.lang.Object instance, java.lang.reflect.Field f)`
`java.lang.Class<?>` | `getTargetType()`
`com.google.gwt.rpc.client.ast.ValueCommand` | `makeValueCommand(java.lang.Object value)`
`java.lang.Object` | `readNext(SerializationStreamReader reader)`
`void` | `set(java.lang.Object instance, java.lang.reflect.Field f, java.lang.Object value)`
`void` | `set(java.lang.Object array, int index, java.lang.Object value)`

Method Detail

### canMakeValueCommand

    boolean canMakeValueCommand()

### canSet

    boolean canSet(java.lang.Class<?> clazz)

  Indicates if set can be called with a value of the given type.

### get

    java.lang.Object get(java.lang.Object instance,
                         java.lang.reflect.Field f)

### getTargetType

    java.lang.Class<?> getTargetType()

### makeValueCommand

    com.google.gwt.rpc.client.ast.ValueCommand makeValueCommand(java.lang.Object value)

### readNext

    java.lang.Object readNext(SerializationStreamReader reader)
                              throws SerializationException

  Throws:
    `SerializationException`

### set

    void set(java.lang.Object instance,
             java.lang.reflect.Field f,
             java.lang.Object value)

### set

    void set(java.lang.Object array,
             int index,
             java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD